export default defineEventHandler(async (event) => {
    const body = await readBody(event)
    const token = body.token

    if (!token) {
        throw createError({
            statusCode: 422,
            statusMessage: 'Token not provided.',
        })
    }

    // NuxtTurnstile modülünün sağladığı sunucu fonksiyonu
    const validation = await verifyTurnstileToken(token)

    if (!validation.success) {
        throw createError({
            statusCode: 400,
            statusMessage: 'Captcha validation failed.',
        })
    }

    return { success: true }
})
